using System.Text.Json.Serialization;

namespace XPrintServer.Api.Dto
{
    public class SvgRequestInfo
    {
        public SvgRequestInfo() { }

        /// <summary>
        /// 位图图片的URL
        /// </summary>
        [JsonPropertyName("url")]
        public string Url { get; set; } = string.Empty;

        /// <summary>
        /// OSS的ObjectName
        /// </summary>
        [JsonPropertyName("object_name")]
        public string ObjectName { get; set; } = string.Empty;


        /// <summary>
        /// 最大颜色数
        /// </summary>
        [JsonPropertyName("color_count")]
        public int ColorCount { get; set; } = 32;

        /// <summary>
        /// 自动扩图
        /// </summary>
        [JsonPropertyName("is_scale_in")]
        public bool IsScaleIn { get; set; } = false;

        /// <summary>
        /// 抖动算法：None, FloydSteinberg, Riemersma
        /// </summary>
        [JsonPropertyName("dithering")]
        public string Dithering { get; set; } = "None";

        /// <summary>
        /// 堆桟描摹
        /// </summary>
        [JsonPropertyName("is_stack_tracing")]
        public bool IsStackTracing { get; set; } = true;
    }
}
